Package ghidra.app.util.bin.format.omf.omf

# Class OmfSymbolRecord

java.lang.Object
ghidra.app.util.bin.format.omf.OmfRecord
ghidra.app.util.bin.format.omf.omf.OmfSymbolRecord

All Implemented Interfaces:
  `StructConverter`

public class OmfSymbolRecord extends OmfRecord

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `checkSum, data, dataEnd, dataReader, recordLength, recordOffset, recordType`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OmfSymbolRecord(BinaryReader reader, boolean isStatic)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBaseFrame()`
  `int`
  `getGroupIndex()`
  `int`
  `getSegmentIndex()`
  `OmfSymbol`
  `getSymbol(int i)`
  `List<OmfSymbol>`
  `getSymbols()`
  `boolean`
  `isStatic()`
  `int`
  `numSymbols()`
  `void`
  `parseData()`
  Parses this `OmfRecord`'s type-spefic data
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `calcCheckSum, getData, getRecordChecksum, getRecordLength, getRecordOffset, getRecordType, hasBigFields, toString, validCheckSum`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OmfSymbolRecord

    public OmfSymbolRecord(BinaryReader reader, boolean isStatic) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### parseData

    public void parseData() throws IOException
    Description copied from class: `OmfRecord`
    Parses this `OmfRecord`'s type-spefic data
    Specified by:
      `parseData` in class `OmfRecord`
    Throws:
      `IOException` - if there was an IO-related error

  - ### isStatic

    public boolean isStatic()

  - ### getGroupIndex

    public int getGroupIndex()

  - ### getSegmentIndex

    public int getSegmentIndex()

  - ### numSymbols

    public int numSymbols()

  - ### getSymbol

    public OmfSymbol getSymbol(int i)

  - ### getSymbols

    public List<OmfSymbol> getSymbols()

  - ### getBaseFrame

    public int getBaseFrame()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Specified by:
      `toDataType` in class `OmfRecord`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`